Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Products

Operations

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Customer Extensions

Operations

Sellers

Operations

Seller Extensions

Operations

Add a Seller Extension

Request

Adds a seller to the Seller Extensions Master Data table.

Security
basic or X-PriceFx-jwt
Bodyapplication/json
dataobject
operationstringrequired
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/add/SX \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "name": "SXTest",
      "sellerId": "Seller023"
    },
    "operation": "add"
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "node", "data": [], "status": 0 } }

Get a Seller Extension

Request

Retrieves details of the specified Seller Extension.

Security
basic or X-PriceFx-jwt
Path
SellerIdstringrequired

The SellerId of the seller in the Seller Extension table you want to retrieve details for.

Example: SC-001
SXCategorystringrequired

The Seller Extension category (the Name from the Seller Master Extension table).

Example: SalesOrganization
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/sellermanager.fetch/SC-001/SX/SalesOrganization

Responses

OK

Bodyapplication/json
responseobject(getSellerExtensionResponse)
Response
application/json
{ "repsonse": { "status": 0, "node": "node", "data": [], "endRow": 1 } }

List Seller Extensions

Request

Retrieves all Seller Extensions.

You can choose fields to be returned in the response by employing the resultFields or valueFields filter:
resultFields: returns key-value pairs as objects. This is the more friendly response compared to valueFields but the server fetches all fields from the database in the backend which might result in a slower performance. See the List Customers' listCustomersResponseExample_resultFields response example.

valueFields: returns just an array of values. Use this option if a better performance is required. See the List Customers' listCustomersResponseExample_valueFields response example.

Security
basic or X-PriceFx-jwt
Path
SXCategorystringrequired

The Seller Extension category (the Name from the Seller Master Extension table).

Example: SalesOrganization
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/sellermanager.fetch/*/SX/SalesOrganization'

Responses

OK

Bodyapplication/json
responseobject(getSellerExtensionResponse)
Response
application/json
{ "response": { "status": 0, "node": "node", "data": [], "endRow": 1 } }

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

User Admin

Operations

Authentication

Operations

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Data Manager

Operations

Actions

Operations

Action Types

Operations

Price Lists

Operations

Manual Price Lists

Operations

Live Price Grids

Operations

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Sales Compensations

Operations

Claim Types

Operations

Claims

Operations

Optimization

Operations

Workflow

Operations

Workflow Delegation

Operations

Attachments

To upload a file you need to perform the following actions using endpoints in this category:

  1. Create an Upload Slot
  2. Upload a File
  3. Delete an Upload Slot
Operations

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

Clicmanager

Clicmanager (CLIC = "Calculable Line Item Collection") endpoints are used in the REACT version to manipulate Quote/Agreements & Promotions (Contract)/Rebate Agreement/Compensation Plan objects.

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

See the Key-Value Database Storage Knowledge Base article for more details.

Operations

Entities

Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.

otherSchemas

Schemas